import { getToken } from '../auth'

/**
 * 请求拦截
 * @param {Object} http
 */
module.exports = vm => {
  uni.$u.http.interceptors.request.use(
    config => { // 可使用async await 做异步操作
      config.data = config.data || {}

      if (getToken()) {
        config.header['Authorization'] = getToken()
      }

      return config
    }, (config) => { // 可使用async await 做异步操作
      return Promise.reject(config)
    })
}
